POST api/PBI_role/role
Request Information
URI Parameters
None.
Body Parameters
PBI_RoleViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
None. |
|
| code | string |
Required |
|
| customer_ID | globally unique identifier |
None. |
|
| customerName | string |
None. |
|
| id | globally unique identifier |
None. |
|
| names | Dictionary of string [key] and string [value] |
Required |
|
| permissions | Collection of PBI_PermissionsViewModel |
Required |
|
| site_ID | globally unique identifier |
Required |
|
| siteName | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": "sample string 2",
"customer_ID": "783ef51d-3b59-4dea-8238-e20c8220a4ae",
"customerName": "sample string 4",
"id": "d5c05713-3583-45ff-90f4-75b4e6f22b68",
"names": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"permissions": [
{
"id": "03e7677c-cdad-449a-ad98-db3485bf8c28",
"active": true,
"foreign_ID": "2b4492de-bec3-4c47-9ea8-bb64ac9f2896",
"foreign_Label": "sample string 3",
"type": 1
},
{
"id": "03e7677c-cdad-449a-ad98-db3485bf8c28",
"active": true,
"foreign_ID": "2b4492de-bec3-4c47-9ea8-bb64ac9f2896",
"foreign_Label": "sample string 3",
"type": 1
}
],
"site_ID": "508aaf62-0282-4b9b-98b5-ea884b951f95",
"siteName": "sample string 8"
}
application/xml, text/xml
Sample:
<PBI_RoleViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<code>sample string 2</code>
<customerName>sample string 4</customerName>
<customer_ID>783ef51d-3b59-4dea-8238-e20c8220a4ae</customer_ID>
<id>d5c05713-3583-45ff-90f4-75b4e6f22b68</id>
<names xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</names>
<permissions>
<PBI_PermissionsViewModel>
<Active>true</Active>
<Foreign_ID>2b4492de-bec3-4c47-9ea8-bb64ac9f2896</Foreign_ID>
<Foreign_Label>sample string 3</Foreign_Label>
<ID>03e7677c-cdad-449a-ad98-db3485bf8c28</ID>
<type>SiteCustomer</type>
</PBI_PermissionsViewModel>
<PBI_PermissionsViewModel>
<Active>true</Active>
<Foreign_ID>2b4492de-bec3-4c47-9ea8-bb64ac9f2896</Foreign_ID>
<Foreign_Label>sample string 3</Foreign_Label>
<ID>03e7677c-cdad-449a-ad98-db3485bf8c28</ID>
<type>SiteCustomer</type>
</PBI_PermissionsViewModel>
</permissions>
<siteName>sample string 8</siteName>
<site_ID>508aaf62-0282-4b9b-98b5-ea884b951f95</site_ID>
</PBI_RoleViewModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"cf915cda-9b6d-4747-9342-82329ec8fd67"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">cf915cda-9b6d-4747-9342-82329ec8fd67</guid>